<?php
 
 

 $directorio ="imagenes/";
 //$aleatorio = mt_rand(100, 9999);
 //$ruta = "imagenes/".$aleatorio.".jpg";
 
 
$nombre=$_FILES['imagen']['name'];
 
$guardado=$_FILES['imagen']['tmp_name'];
 
 
 
if(!file_exists($directorio )){
	mkdir($directorio ,0777,true);
	if(file_exists($directorio )){
 
		if(move_uploaded_file($guardado, 'imagenes/'.$nombre)){
			echo "Archivo guardado con exito";
		}else{
			echo "Archivo no se pudo guardar";
		}
	}
}else{
		if(move_uploaded_file($guardado, $directorio.$nombre)){
		echo "Archivo guardado con exito";
 
	}elseif(move_uploaded_file($guardado, $directorio.$nombre)){
		echo "Archivo guardado con exito";
	}else{
		echo "Archivo no se pudo guardar";
	}
 
	//var_dump($ruta);
 
}

echo "hola";



//archivo de configuracion usuarios y claves
$HOST2 = "localhost";//AQUI VA TU HOST
$USER2 = "app_user";
$PASS2 = "Corma277";
$DBNAME2 = "app_corma";
$OPCIONES2 = array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8");

try {
    $dsn = "mysql:host=".$HOST2.";dbname=".$DBNAME2."";
    $dbh = new PDO($dsn, $USER2, $PASS2);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e){
    echo $e->getMessage();
}




	$id_noticia="";
	$consulta ="select max(id_noticia) as 'maxi' from noticias";
	$stmt = $dbh->prepare($consulta);
	$stmt->execute();
	while($row = $stmt->fetch()){
		  $id_noticia = $row['maxi']; 
		}
	//echo $id_noticia;

	$direccionfinal="https://www.seminarioscorma.cl/corma/mantencion_app/".$directorio.$nombre;

	$stmt = $dbh->prepare("UPDATE noticias SET imagen=? WHERE id_noticia=?");
	$stmt->bindParam(1,$direccionfinal);
	$stmt->bindParam(2,$id_noticia);
	if($stmt->execute()){
		//echo "ok imagen";
	}else{
		//echo "no se agrego imagen";
	}
 
 
 
?>